Bug 197683 - busy loop when output fd closed
busy loop when output fd closed
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sox (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jiri Moskovcak
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-05 10:57 EDT by Tim Waugh
Modified: 2015-02-01 17:47 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-30 13:30:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sox-busy-loop.patch (277 bytes, patch)
2006-07-05 10:57 EDT, Tim Waugh
no flags Details | Diff

  None (edit)
Description Tim Waugh 2006-07-05 10:57:30 EDT
Description of problem:
When the output pipe is closed (the fd is reporting EOF), sox gets into a busy
loop. 

Version-Release number of selected component (if applicable):
sox-12.17.9-1.2

How reproducible:
100%

I'm seeing this with a slimserver/Squeezebox set-up (www.slimdevices.com).
  
Actual results:
Lots of busy-looping sox processes.

Expected results:
No abnormal CPU load.

Additional info:
Tested fix attached.
Comment 1 Tim Waugh 2006-07-05 10:57:30 EDT
Created attachment 131933 [details]
sox-busy-loop.patch
Comment 2 Jiri Moskovcak 2007-07-24 09:24:44 EDT
Does this bug persist in latest release?
Comment 3 Tim Waugh 2007-07-30 13:30:00 EDT
sox-12.18.1-1 works fine.

Note You need to log in before you can comment on or make changes to this bug.